#include <stdio.h>

#include "fpu_system.h"
#include "exception.h"
#include "fpu_emu.h"
#include "control_w.h"
#include "status_w.h"

  void
printfp(char *s, FPU_REG *r)
{
  unsigned i;
  unsigned char *ptr = ((unsigned char *) r) + sizeof(FPU_REG) - 1;

  fprintf(stderr, "%s ", s);
  for (i=0; i<sizeof(FPU_REG); i++) {
    fprintf(stderr, "%02x", *ptr--);
    }
  fprintf(stderr, "\n");
}
